Bug 56757 - mount -t cms hangs
mount -t cms hangs
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
s390 Linux
low Severity low
: ---
: ---
Assigned To: Pete Zaitcev
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-27 00:30 EST by Pete Zaitcev
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-13 15:54:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Minimal fix (4.62 KB, patch)
2001-12-13 15:54 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Pete Zaitcev 2001-11-27 00:30:10 EST
Description of Problem:

The mount of cmsfs hangs.

Version-Release number of selected component (if applicable):

Linux version 2.4.9-17 (karsten@s390.redhat.de) (gcc version 2.95.3
20010315 (release)) #1 SMP Fri Nov 23 19:45:36 CET 2001
But it hangs in all recent kernels in the same way.

How Reproducible:

Always

Steps to Reproduce:
1. ipl cms
2. format 201 b
3. access 201 b
4. copyfile kern00t1 img a = = b
5. release b
6. ipl 200    -- Linux
7. login as root
8. modprobe cmsfs
9. mount -t cms -r /dev/dasdb1 /mnt/a


Actual Results:

[zaitcev@test1 zaitcev]$ ps alx| grep mount
100     0  1040  1013   9   0  1684  608 down   D    pts/0      0:00 mount
-t cm
Seems like a recursive semaphore somewhere.

Expected Results:

Mount succeeding.

Additional Information:
	
^-t does not show stacks on s390

The cmsfs is not included into Linus or Marcelo trees,
it was in -ac only. We probably do not want to support cmsfs.
Comment 1 Florian La Roche 2001-11-27 06:49:44 EST
Maybe this only works if we have configured minidisks within VM? This
is at least unsupported at the moment, though it might be useful for
some customers.

Florian La Roche
Comment 2 Pete Zaitcev 2001-12-13 15:54:39 EST
Created attachment 40507 [details]
Minimal fix
Comment 3 Pete Zaitcev 2001-12-13 15:57:17 EST
I fixed it, but supporting cmsfs is not worth the trouble
unless someone wants to give non-root users access to CMS minidisks.
Good userspace tools are available.

Note You need to log in before you can comment on or make changes to this bug.